- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.55.0/DyLP/src/Dylp/glplib.h File Reference

Go to the source code of this file.

## Classes
struct | ENV
struct | MEM
struct | POOL
## Defines
#define | save_pointer dy_glp_save_pointer
#define | read_pointer dy_glp_read_pointer
#define | init_lib_env dy_glp_init_lib_env
#define | get_env_ptr dy_glp_get_env_ptr
#define | free_lib_env dy_glp_free_lib_env
#define | print dy_glp_print
#define | fault dy_glp_fault
#define | _insist dy_glp_insist
#define | watch dy_glp_watch
#define | umalloc dy_glp_umalloc
#define | ucalloc dy_glp_ucalloc
#define | ufree dy_glp_ufree
#define | create_pool dy_glp_create_pool
#define | get_atom dy_glp_get_atom
#define | free_atom dy_glp_free_atom
#define | get_atomv dy_glp_get_atomv
#define | clear_pool dy_glp_clear_pool
#define | delete_pool dy_glp_delete_pool
#define | insist(expr) ((void)((expr) || (_insist(#expr, __FILE__, __LINE__), 1)))
#define | align_boundary sizeof(double)
#define | align_datasize(size) ((((size) + (align_boundary - 1)) / align_boundary) * align_boundary)
## Typedefs
typedef ENV | ENV
typedef MEM | MEM
typedef POOL | POOL
## Functions
void | save_pointer (void *ptr)
void * | read_pointer (void)
int | init_lib_env (void)
ENV * | get_env_ptr (void)
int | free_lib_env (void)
void | print (const char *fmt,...)
void | fault (const char *fmt,...)
void | _insist (const char *expr, const char *file, int line)
double | watch (void)
void * | umalloc (int size)
void * | ucalloc (int nmemb, int size)
void | ufree (void *ptr)
POOL * | create_pool (int size)
void * | get_atom (POOL *pool)
void | free_atom (POOL *pool, void *ptr)
void * | get_atomv (POOL *pool, int size)
void | clear_pool (POOL *pool)
void | delete_pool (POOL *pool)

## Define Documentation

#define save_pointer dy_glp_save_pointer

Definition at line 21 of file glplib.h.

#define read_pointer dy_glp_read_pointer

Definition at line 22 of file glplib.h.

#define init_lib_env dy_glp_init_lib_env

Definition at line 24 of file glplib.h.

#define get_env_ptr dy_glp_get_env_ptr

Definition at line 25 of file glplib.h.

#define free_lib_env dy_glp_free_lib_env

Definition at line 26 of file glplib.h.

#define print dy_glp_print

Definition at line 28 of file glplib.h.

#define fault dy_glp_fault

Definition at line 29 of file glplib.h.

#define _insist dy_glp_insist

Definition at line 30 of file glplib.h.

#define watch dy_glp_watch

Definition at line 31 of file glplib.h.

#define umalloc dy_glp_umalloc

Definition at line 33 of file glplib.h.

#define ucalloc dy_glp_ucalloc

Definition at line 34 of file glplib.h.

#define ufree dy_glp_ufree

Definition at line 35 of file glplib.h.

#define create_pool dy_glp_create_pool

Definition at line 37 of file glplib.h.

#define get_atom dy_glp_get_atom

Definition at line 38 of file glplib.h.

#define free_atom dy_glp_free_atom

Definition at line 39 of file glplib.h.

#define get_atomv dy_glp_get_atomv

Definition at line 40 of file glplib.h.

#define clear_pool dy_glp_clear_pool

Definition at line 41 of file glplib.h.

#define delete_pool dy_glp_delete_pool

Definition at line 42 of file glplib.h.

#define insist | ( | expr |  | ) | ((void)((expr) || (_insist(#expr, __FILE__, __LINE__), 1)))

Definition at line 86 of file glplib.h.

#define align_boundary sizeof(double)

Definition at line 100 of file glplib.h.

#define align_datasize | ( | size |  | ) | ((((size) + (align_boundary - 1)) / align_boundary) * align_boundary)

Definition at line 102 of file glplib.h.

## Typedef Documentation

typedef struct ENV ENV

Definition at line 50 of file glplib.h.

typedef struct MEM MEM

Definition at line 51 of file glplib.h.

typedef struct POOL POOL

Definition at line 128 of file glplib.h.

## Function Documentation

void save_pointer | ( | void * | ptr | ) |

void* read_pointer | ( | void |  | ) |

int init_lib_env | ( | void |  | ) |

ENV* get_env_ptr | ( | void |  | ) |

int free_lib_env | ( | void |  | ) |

void print | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

void fault | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

void _insist | ( | const char * | expr,
|  | const char * | file,
|  | int | line |
| ) |  |  |

double watch | ( | void |  | ) |

void* umalloc | ( | int | size | ) |

void* ucalloc | ( | int | nmemb,
|  | int | size |
| ) |  |  |

void ufree | ( | void * | ptr | ) |

POOL* create_pool | ( | int | size | ) |

void* get_atom | ( | POOL * | pool | ) |

void free_atom | ( | POOL * | pool,
|  | void * | ptr |
| ) |  |  |

void* get_atomv | ( | POOL * | pool,
|  | int | size |
| ) |  |  |

void clear_pool | ( | POOL * | pool | ) |

void delete_pool | ( | POOL * | pool | ) |